Skip to main content
GET
/
analytics
/
dashboards
/
provider-activity
/
provider-activity-grouped
Get Provider Activity Grouped
curl --request GET \
  --url https://api.decodahealth.com/analytics/dashboards/provider-activity/provider-activity-grouped \
  --header 'API-KEY: <api-key>' \
  --header 'TENANT: <tenant>'
{
  "groups": [
    {
      "key": "<string>",
      "label": "<string>",
      "count": 123,
      "summary": {
        "totalActivities": 0,
        "chargesCount": 0,
        "paymentsCount": 0,
        "notesCount": 0,
        "quotesCount": 0,
        "membershipsCount": 0,
        "measurementsCount": 0,
        "quickNotesCount": 0,
        "patientCreditsCount": 0,
        "inventoryLogsCount": 0,
        "insurancePaymentsCount": 0,
        "totalAmount": 0
      },
      "rows": [
        {
          "activityType": "<string>",
          "activityId": "<string>",
          "createdDate": "2023-11-07T05:31:56Z",
          "description": "<string>",
          "patientId": "<string>",
          "patientFirstName": "<string>",
          "patientLastName": "<string>",
          "amount": 123,
          "status": "<string>",
          "locationName": "<string>",
          "providerFirstName": "<string>",
          "providerLastName": "<string>"
        }
      ],
      "totalPages": 123
    }
  ],
  "grandTotals": {
    "totalActivities": 0,
    "chargesCount": 0,
    "paymentsCount": 0,
    "notesCount": 0,
    "quotesCount": 0,
    "membershipsCount": 0,
    "measurementsCount": 0,
    "quickNotesCount": 0,
    "patientCreditsCount": 0,
    "inventoryLogsCount": 0,
    "insurancePaymentsCount": 0,
    "totalAmount": 0
  },
  "totalCount": 123
}

Headers

TENANT
string
required

The tenant you are making this request on behalf of

API-KEY
string
required

Your api key

Query Parameters

timezone
string
required

Timezone (e.g. 'America/New_York')

group_by
enum<string>
default:provider
Available options:
provider,
activity_type,
none
page_size
integer
default:20
group_key
string | null
page
integer | null
start_date
string | null
end_date
string | null
location_ids
string[] | null
provider_ids
string[] | null
activity_types
string[] | null

Response

Successful Response

groups
ProviderActivityGroup · object[]
required
grandTotals
ProviderActivitySummary · object
required
totalCount
integer
required